Package net.shibboleth.shared.spring.error

# Class ErrorRaisingController

java.lang.Object
net.shibboleth.shared.spring.error.ErrorRaisingController

@Controller public class ErrorRaisingController extends Object
MVC controller for responding to errors by dispatching them to the MVC error handling umbrella.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`ErrorRaisingController()`

## Method Summary

Modifier and Type
Method
Description
`void`
`raiseError(HttpServletRequest httpRequest)`
Handle an error dispatched by the container by re-raising it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### ErrorRaisingController

public ErrorRaisingController()

## Method Details

### raiseError

@RequestMapping("/RaiseError") public void raiseError(@Nonnull HttpServletRequest httpRequest) throws Throwable
Handle an error dispatched by the container by re-raising it.

Parameters:
  `httpRequest` - the HTTP request
Throws:
  `Throwable` - if something goes wrong